       SUBROUTINE SETANGLE
!                                                                       
!     THIS ROUTINE SETS THE ANGLES FOR 3-F VIEWS 
!                                                                       
      use winteracter
!      USE BLKV1
!      USE BLKV2 
!      USE BLK

      USE BLK1MOD
!      INCLUDE 'BLK1.COM' 
!      INCLUDE  'TXFRM.COM' 
!-                                                                      

      include 'D.inc'

!
! Declare window-type and message variables
!
      TYPE(WIN_STYLE)    :: WINDOW

      TYPE(WIN_MESSAGE) :: MESSAGE
      INTEGER           :: IERR
	  DATA ITIM/0/

	  IF(ITIM .EQ. 0) THEN
	    HANG=0.
	    VANG=90.
		VRTSCAL=100.0
		VRTORIG=0.
		ITIM=1
		IASPCT=0
		IASPCTOLD=0
	  ENDIF

      VANGOLD=VANG
  	  HANGOLD=HANG

      call wdialogload(IDD_VIEWANG)
      ierr=infoerror(1)

      CALL WDialogSelect(IDD_VIEWANG)
      ierr=infoerror(1)

  100 continue
      CALL WDialogPutREAL(IDF_REAL1,HANG)
      CALL WDialogPutREAL(IDF_REAL2,VANG)
      CALL WDialogPutREAL(IDF_REAL3,VRTSCAL)
      CALL WDialogPutREAL(IDF_REAL4,VRTORIG)
      CALL WDialogPutCheckBox(IDF_check1,IASPCT)

      CALL WDialogShow(-1,-1,0,Modal)
      ierr=infoerror(1)

        do
!
          IF (WInfoDialog(ExitButton) .EQ. IDOK) THEN


              CALL WDialogGetREAL(IDF_REAL1,HANG)
              CALL WDialogGetREAL(IDF_REAL2,VANG)
              CALL WDialogGetREAL(IDF_REAL3,VRTSCAL)
              CALL WDialogGetREAL(IDF_REAL4,VRTORIG)
              CALL WDialogGetCheckBox(IDF_check1,IASPCT)
              GO TO 200
!          else
!              HANG=0.
!			  VANG=90.
!			  VRTSCAL=100.
          endif

        enddo

  200 CONTINUE
      RETURN 
      END 
      
      SUBROUTINE adjustang(hrad,vrad)                                          

      USE BLK1MOD
      
      VANGOLD=VANG
  	  HANGOLD=HANG

      VANG=VANG+VRAD*57.
      HANG=HANG+HRAD*57.
      
      CALL PLOTOT(0)

      RETURN
      END